<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Plasma</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Plasma Namespace Reference</h1>
<code>from PyKDE4.plasma.Plasma import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_A">&nbsp;&nbsp;A&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.FlashingLabel.html">FlashingLabel</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Plasma.AbstractRunner.html">AbstractRunner</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.Frame.html">Frame</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.ScriptEngine.html">ScriptEngine</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.AnimationDriver.html">AnimationDriver</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.FrameSvg.html">FrameSvg</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.ScrollBar.html">ScrollBar</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.Animator.html">Animator</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.Service.html">Service</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.Applet.html">Applet</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.GLApplet.html">GLApplet</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.SignalPlotter.html">SignalPlotter</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.AppletProtectedThunk.html">AppletProtectedThunk</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.GroupBox.html">GroupBox</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.Slider.html">Slider</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.AppletScript.html">AppletScript</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_I">&nbsp;&nbsp;I&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.Containment.StyleOption.html">StyleOption</a>&nbsp;(<a class="el" href="Plasma.Containment.html">Plasma.Containment</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_B">&nbsp;&nbsp;B&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.IconWidget.html">IconWidget</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.Svg.html">Svg</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.BusyWidget.html">BusyWidget</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.SvgWidget.html">SvgWidget</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.Label.html">Label</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_T">&nbsp;&nbsp;T&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Plasma.CheckBox.html">CheckBox</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.LineEdit.html">LineEdit</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.TabBar.html">TabBar</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.ComboBox.html">ComboBox</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_M">&nbsp;&nbsp;M&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.TextEdit.html">TextEdit</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.ConfigLoader.html">ConfigLoader</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.Meter.html">Meter</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.Theme.html">Theme</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.Containment.html">Containment</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.ToolButton.html">ToolButton</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.Context.html">Context</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.Package.html">Package</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.ToolTipContent.html">ToolTipContent</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.Corona.html">Corona</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.PackageMetadata.html">PackageMetadata</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.ToolTipManager.html">ToolTipManager</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_D">&nbsp;&nbsp;D&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.PackageStructure.html">PackageStructure</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.ToolTipManager.html">ToolTipManager</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.DataContainer.html">DataContainer</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.PlotColor.html">PlotColor</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.TreeView.html">TreeView</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.DataEngine.html">DataEngine</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.PopupApplet.html">PopupApplet</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_U">&nbsp;&nbsp;U&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Plasma.DataEngineManager.html">DataEngineManager</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.PushButton.html">PushButton</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.UiLoader.html">UiLoader</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.DataEngineScript.html">DataEngineScript</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_Q">&nbsp;&nbsp;Q&nbsp;&nbsp;</a></td><td><a name="letter_V">&nbsp;&nbsp;V&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Plasma.Delegate.html">Delegate</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.QueryMatch.html">QueryMatch</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.View.html">View</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.Dialog.html">Dialog</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_R">&nbsp;&nbsp;R&nbsp;&nbsp;</a></td><td><a name="letter_W">&nbsp;&nbsp;W&nbsp;&nbsp;</a></td></tr>
<tr><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.RadioButton.html">RadioButton</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.Wallpaper.html">Wallpaper</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.Extender.html">Extender</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.RunnerContext.html">RunnerContext</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.WebView.html">WebView</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Plasma.ExtenderItem.html">ExtenderItem</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Plasma.RunnerManager.html">RunnerManager</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
<tr><td><a name="letter_F">&nbsp;&nbsp;F&nbsp;&nbsp;</a></td><td><a class="el" href="Plasma.RunnerScript.html">RunnerScript</a>&nbsp;(<a class="el" href="Plasma.html">Plasma</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198576716">AspectRatioMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;InvalidAspectRatioMode, IgnoreAspectRatio, KeepAspectRatio, Square, ConstrainedSquare, FixedSize&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198576972">ComponentType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;AppletComponent, DataEngineComponent, RunnerComponent, AnimatorComponent, ContainmentComponent&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197759820">Constraint</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoConstraint, FormFactorConstraint, LocationConstraint, ScreenConstraint, SizeConstraint, ImmutableConstraint, StartupCompletedConstraint, ContextConstraint, AllConstraints&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197759884">Direction</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Down, Up, Left, Right&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197762604">FlipDirection</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoFlip, HorizontalFlip, VerticalFlip&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197760588">FormFactor</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Planar, MediaCenter, Horizontal, Vertical&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198575916">ImmutabilityType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Mutable, UserImmutable, SystemImmutable&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198574956">IntervalAlignment</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoAlignment, AlignToMinute, AlignToHour&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198575500">ItemTypes</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;AppletType, LineEditType&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197760844">Location</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Floating, Desktop, FullScreen, TopEdge, BottomEdge, LeftEdge, RightEdge&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198578028">MarginEdge</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;TopMargin, BottomMargin, LeftMargin, RightMargin&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197761292">PopupPlacement</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;FloatingPopup, TopPosedLeftAlignedPopup, TopPosedRightAlignedPopup, LeftPosedTopAlignedPopup, LeftPosedBottomAlignedPopup, BottomPosedLeftAlignedPopup, BottomPosedRightAlignedPopup, RightPosedTopAlignedPopup, RightPosedBottomAlignedPopup&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197762284">Position</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;LeftPositioned, RightPositioned, TopPositioned, BottomPositioned, CenterPositioned&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197761388">ZoomDirection</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;ZoomIn, ZoomOut&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198574764">ZoomLevel</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;DesktopZoom, GroupZoom, OverviewZoom&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192938348">isPluginVersionCompatible</a> (long version)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186386828">knownLanguages</a> (Plasma.ComponentTypes types)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../plasma/Plasma.AppletScript.html">Plasma.AppletScript</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177224044">loadScriptEngine</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> language, <a href="../plasma/Plasma.Applet.html">Plasma.Applet</a> applet)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../plasma/Plasma.DataEngineScript.html">Plasma.DataEngineScript</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202169004">loadScriptEngine</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> language, <a href="../plasma/Plasma.DataEngine.html">Plasma.DataEngine</a> dataEngine)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../plasma/Plasma.RunnerScript.html">Plasma.RunnerScript</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202166508">loadScriptEngine</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> language, <a href="../plasma/Plasma.AbstractRunner.html">Plasma.AbstractRunner</a> runner)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Plasma.Direction&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198577260">locationToDirection</a> (Plasma.Location location)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Plasma.PackageStructure.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186387340">packageStructure</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> language, Plasma.ComponentType type)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198577228">scalingFactor</a> (Plasma.ZoomLevel level)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201279372">version</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201277676">versionMajor</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195218700">versionMinor</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200437420">versionRelease</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200436076">versionString</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicsview.html">QGraphicsView</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178880396">viewFor</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicsitem.html">QGraphicsItem</a> item)</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj198576716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">AspectRatioMode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines the aspect ratio used when scaling an applet
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>InvalidAspectRatioMode</em>&nbsp;=&nbsp;-1</td><td><tr><td valign="top"><em>IgnoreAspectRatio</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>KeepAspectRatio</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>Square</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>ConstrainedSquare</em>&nbsp;=&nbsp;3</td><td><tr><td valign="top"><em>FixedSize</em>&nbsp;=&nbsp;4</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj198576972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ComponentType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The ComonentType enumeration refers to the various types of components,
or plugins, supported by plasma.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>AppletComponent</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>DataEngineComponent</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>RunnerComponent</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>AnimatorComponent</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>ContainmentComponent</em>&nbsp;=&nbsp;16</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197759820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Constraint</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Constraint enumeration lists the various constraints that Plasma
objects have managed for them and which they may wish to react to,
for instance in Applet.constraintsUpdated
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoConstraint</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>FormFactorConstraint</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>LocationConstraint</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>ScreenConstraint</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>SizeConstraint</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>ImmutableConstraint</em>&nbsp;=&nbsp;16</td><td><tr><td valign="top"><em>StartupCompletedConstraint</em>&nbsp;=&nbsp;32</td><td><tr><td valign="top"><em>ContextConstraint</em>&nbsp;=&nbsp;64</td><td><tr><td valign="top"><em>AllConstraints</em>&nbsp;=&nbsp;FormFactorConstraint|LocationConstraint|ScreenConstraint|SizeConstraint|ImmutableConstraint|ContextConstraint</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197759884"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Direction</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Direction enumeration describes in which direction, relative to the
Applet (and its managing container), popup menus, expanders, balloons,
message boxes, arrows and other such visually associated widgets should
appear in. This is usually the oposite of the Location.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Down</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Up</em>&nbsp;</td><td><tr><td valign="top"><em>Left</em>&nbsp;</td><td><tr><td valign="top"><em>Right</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197762604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">FlipDirection</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Flip enumeration
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoFlip</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>HorizontalFlip</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>VerticalFlip</em>&nbsp;=&nbsp;2</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197760588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">FormFactor</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The FormFactor enumeration describes how a Plasma.Applet should arrange
itself. The value is derived from the container managing the Applet
(e.g. in Plasma, a Corona on the desktop or on a panel).
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Planar</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>MediaCenter</em>&nbsp;</td><td><tr><td valign="top"><em>Horizontal</em>&nbsp;</td><td><tr><td valign="top"><em>Vertical</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj198575916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ImmutabilityType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines the immutability of items like applets, corona and containments
they can be free to modify, locked down by the user or locked down by the
system (e.g. kiosk setups).
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Mutable</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>UserImmutable</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>SystemImmutable</em>&nbsp;=&nbsp;4</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj198574956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">IntervalAlignment</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Possible timing alignments
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoAlignment</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>AlignToMinute</em>&nbsp;</td><td><tr><td valign="top"><em>AlignToHour</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj198575500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ItemTypes</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Possible timing alignments
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>AppletType</em>&nbsp;=&nbsp;QGraphicsItem::UserType+1</td><td><tr><td valign="top"><em>LineEditType</em>&nbsp;=&nbsp;QGraphicsItem::UserType+2</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197760844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Location</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Location enumeration describes where on screen an element, such as an
Applet or its managing container, is positioned on the screen.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Floating</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Desktop</em>&nbsp;</td><td><tr><td valign="top"><em>FullScreen</em>&nbsp;</td><td><tr><td valign="top"><em>TopEdge</em>&nbsp;</td><td><tr><td valign="top"><em>BottomEdge</em>&nbsp;</td><td><tr><td valign="top"><em>LeftEdge</em>&nbsp;</td><td><tr><td valign="top"><em>RightEdge</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj198578028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">MarginEdge</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>TopMargin</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>BottomMargin</em>&nbsp;</td><td><tr><td valign="top"><em>LeftMargin</em>&nbsp;</td><td><tr><td valign="top"><em>RightMargin</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197761292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">PopupPlacement</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The popup position enumeration relatively to his attached widget
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>FloatingPopup</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>TopPosedLeftAlignedPopup</em>&nbsp;</td><td><tr><td valign="top"><em>TopPosedRightAlignedPopup</em>&nbsp;</td><td><tr><td valign="top"><em>LeftPosedTopAlignedPopup</em>&nbsp;</td><td><tr><td valign="top"><em>LeftPosedBottomAlignedPopup</em>&nbsp;</td><td><tr><td valign="top"><em>BottomPosedLeftAlignedPopup</em>&nbsp;</td><td><tr><td valign="top"><em>BottomPosedRightAlignedPopup</em>&nbsp;</td><td><tr><td valign="top"><em>RightPosedTopAlignedPopup</em>&nbsp;</td><td><tr><td valign="top"><em>RightPosedBottomAlignedPopup</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197762284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Position</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The position enumeration
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>LeftPositioned</em>&nbsp;</td><td><tr><td valign="top"><em>RightPositioned</em>&nbsp;</td><td><tr><td valign="top"><em>TopPositioned</em>&nbsp;</td><td><tr><td valign="top"><em>BottomPositioned</em>&nbsp;</td><td><tr><td valign="top"><em>CenterPositioned</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197761388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ZoomDirection</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The direction of a zoom action.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>ZoomIn</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>ZoomOut</em>&nbsp;=&nbsp;1</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj198574764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ZoomLevel</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Zoom levels that Plasma is aware of...
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>DesktopZoom</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>GroupZoom</em>&nbsp;</td><td><tr><td valign="top"><em>OverviewZoom</em>&nbsp;</td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj192938348"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isPluginVersionCompatible</td>
<td>(</td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>version</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Verifies that a plugin is compatible with plasma
</p></div></div><a class="anchor" name="obj186386828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> knownLanguages</td>
<td>(</td>
<td class="paramtype">Plasma.ComponentTypes&nbsp;</td>
<td class="paramname"><em>types</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj177224044"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../plasma/Plasma.AppletScript.html">Plasma.AppletScript</a> loadScriptEngine</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>language</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../plasma/Plasma.Applet.html">Plasma.Applet</a>&nbsp;</td>
<td class="paramname"><em>applet</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an Applet script engine for the given language.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>language</em>&nbsp;</td><td> the language to load for

<tr><td></td><td valign="top"><em>applet</em>&nbsp;</td><td> the Plasma.Applet for this script
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> pointer to the AppletScript or 0 on failure; the caller is responsible
for the return object which will be parented to the Applet
</dd></dl>
</p></div></div><a class="anchor" name="obj202169004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../plasma/Plasma.DataEngineScript.html">Plasma.DataEngineScript</a> loadScriptEngine</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>language</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../plasma/Plasma.DataEngine.html">Plasma.DataEngine</a>&nbsp;</td>
<td class="paramname"><em>dataEngine</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an DataEngine script engine for the given language.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>language</em>&nbsp;</td><td> the language to load for

<tr><td></td><td valign="top"><em>dataEngine</em>&nbsp;</td><td> the Plasma.DataEngine for this script;
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> pointer to the DataEngineScript or 0 on failure; the caller is responsible
for the return object which will be parented to the DataEngine
</dd></dl>
</p></div></div><a class="anchor" name="obj202166508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../plasma/Plasma.RunnerScript.html">Plasma.RunnerScript</a> loadScriptEngine</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>language</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../plasma/Plasma.AbstractRunner.html">Plasma.AbstractRunner</a>&nbsp;</td>
<td class="paramname"><em>runner</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an Applet script engine for the given language.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>language</em>&nbsp;</td><td> the language to load for

<tr><td></td><td valign="top"><em>runner</em>&nbsp;</td><td> the Plasma.AbstractRunner for this script
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> pointer to the RunnerScript or 0 on failure; the caller is responsible
for the return object which will be parented to the AbstractRunner
</dd></dl>
</p></div></div><a class="anchor" name="obj198577260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Plasma.Direction locationToDirection</td>
<td>(</td>
<td class="paramtype">Plasma.Location&nbsp;</td>
<td class="paramname"><em>location</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts a location to a direction. Handy for figuring out which way to send a popup based on
location or to point arrows and other directional items.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>location</em>&nbsp;</td><td> the location of the container the element will appear in
</td></tr> </table></dl>
<p> @reutrn the visual direction of the element should be oriented in
</p></div></div><a class="anchor" name="obj186387340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Plasma.PackageStructure.Ptr packageStructure</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>language</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Plasma.ComponentType&nbsp;</td>
<td class="paramname"><em>type</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an appropriate PackageStructure for the given language and type
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>langauge</em>&nbsp;</td><td> the language to load the PackageStructure for

<tr><td></td><td valign="top"><em>type</em>&nbsp;</td><td> the component type
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a guarded PackageStructure pointer
</dd></dl>
</p></div></div><a class="anchor" name="obj198577228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">float scalingFactor</td>
<td>(</td>
<td class="paramtype">Plasma.ZoomLevel&nbsp;</td>
<td class="paramname"><em>level</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the scaling factor (0..1) for a ZoomLevel
</dd></dl>
</p></div></div><a class="anchor" name="obj201279372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long version</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The runtime version of libplasma
</p></div></div><a class="anchor" name="obj201277676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long versionMajor</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The runtime major version of libplasma
</p></div></div><a class="anchor" name="obj195218700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long versionMinor</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The runtime major version of libplasma
</p></div></div><a class="anchor" name="obj200437420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long versionRelease</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The runtime major version of libplasma
</p></div></div><a class="anchor" name="obj200436076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> versionString</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The runtime version string of libplasma
</p></div></div><a class="anchor" name="obj178880396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicsview.html">QGraphicsView</a> viewFor</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicsitem.html">QGraphicsItem</a>&nbsp;</td>
<td class="paramname"><em>item</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the most appropriate QGraphicsView for the item.
</p>
<p>
@arg item the QGraphicsItem to locate a view for
<dl class="return" compact><dt><b>Returns:</b></dt><dd> pointer to a view, or 0 if none was found
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
